public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jedi/
Date: Sun, 19 Jul 2020 18:14:29 +0000 (UTC)	[thread overview]
Message-ID: <1595182466.3beddae1fd3103091f81704f7254590047f95d25.mgorny@gentoo> (raw)

commit:     3beddae1fd3103091f81704f7254590047f95d25
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 19 17:20:23 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 19 18:14:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3beddae1

dev-python/jedi: Bump to 0.17.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jedi/Manifest           |  1 +
 dev-python/jedi/jedi-0.17.2.ebuild | 70 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/jedi/Manifest b/dev-python/jedi/Manifest
index 835746b0407..ec1c551a5de 100644
--- a/dev-python/jedi/Manifest
+++ b/dev-python/jedi/Manifest
@@ -3,5 +3,6 @@ DIST jedi-0.14.1.tar.gz 860206 BLAKE2B d1234ceb417f531c5a29908843a47bec5b198abbc
 DIST jedi-0.15.2.tar.gz 422520 BLAKE2B f382e4026e1d0388c03b5116ea49fe4abf117c1555ccf0159541557e8d0d344774e15b983fbc66f996f60ae38552bb3b89f3f9cc809ab57f511a01664612f08f SHA512 079d9fc104125d188c72cfc0bd0ccd4de88eb5e7cdfba86e44f840e2427d0ab114bb812dad8e814e502e773d3a59f166547f5f6f287a5eedae64af99e8b5616e
 DIST jedi-0.17.0.tar.gz 462810 BLAKE2B 71eeb3e3fa23786c577fbcb3727a49111d6188c2a5d9e13538123c7c6817b67d457f3bb88423dc9dac6ee09dec89d7281c86166bc771fa0215cd327a4432ebd7 SHA512 562ae25f0c4709cfe36fe4e737d383190d8ad435b3ff580b9fbe966544c8d035cfa29815459ceecfafd704547560a8dc397f841989043e6e18c8f9d639f75399
 DIST jedi-0.17.1.tar.gz 472489 BLAKE2B 7486925cb307f6a25538c2f5d52763802222561cfc4beca1637e433f4450b06ef328204e75779b6b2ac4ca2cfcf5ab647daecd329941ca6fb0ae2a5dd2bd8b5f SHA512 0a9d552d2b4c45730c9cccf06ebb434b159b755acea0dbaddf5f628dccf8e9c752e03d151258e377b817f1a25fb9ca8e0289dbd2da290f55dc719883413b65cf
+DIST jedi-0.17.2.tar.gz 474372 BLAKE2B cd0bf217202e4413a7d4f1d4095fb22ad5c3de557993fd33e246a1fb516992a16a7382db9e18e0c0414ff5d927008c8148e9bbd8ee0dbd62368d01a31611c326 SHA512 cd96faa6f9cd6e8ad8b9a52ceaa6a84f30c8ced51b20d621932f0babf1b90bbc445fbe5ffd11a4f0e356bf20bdd1da756ccc3574e5fc978883de72dfdb519977
 DIST typeshed-jedi_v0.15.0.tar.gz 466890 BLAKE2B 7c4956c60646ecb7f21704e3ce95cd38a44e40849e4efba352a0be11c4511fc28d77f32308a3f136cd72833f937f802194ae57f1cdf1d53ae7824ebe4f4bc323 SHA512 46250822eb4aa20203db9b99626e33f2b60ec77072e20dbd94219d782cf204e2cc5a94579b1753c634f931445ad4ef9f0bd7ccfed287d86bca96b945d2eb27c1
 DIST typeshed-jedi_v0.16.0.tar.gz 497407 BLAKE2B d322d70d3c46d1abcedddbd10aed5c6f213698f4e9f9aec1b4bd7e7186ab7ce384ec6a95d6adc46c7459e3bbb748d6ff432115cae744a315aed60972d2390eee SHA512 1551082938b52717f90e28ffd25e838ab04798ea86ea719fa35975a9de006bcc063a00cc8c8babd994990cdff694d48490f4d8c898c322666450d7ef3be8688a

diff --git a/dev-python/jedi/jedi-0.17.2.ebuild b/dev-python/jedi/jedi-0.17.2.ebuild
new file mode 100644
index 00000000000..59126ef7f00
--- /dev/null
+++ b/dev-python/jedi/jedi-0.17.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+TYPESHED_P="typeshed-jedi_v0.16.0"
+DJANGO_STUBS_P="django-stubs-v1.5.0"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="https://github.com/davidhalter/jedi"
+SRC_URI="
+	https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz
+	https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz
+		-> ${TYPESHED_P}.tar.gz
+	https://github.com/davidhalter/django-stubs/archive/${DJANGO_STUBS_P#django-stubs-}.tar.gz
+		-> ${DJANGO_STUBS_P/v/}.tar.gz"
+
+LICENSE="MIT
+	test? ( Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND=">=dev-python/parso-0.7.0[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs \
+	dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# upstream includes these as submodules ...
+	rmdir "${S}"/jedi/third_party/{django-stubs,typeshed} || die
+	mv "${WORKDIR}/${DJANGO_STUBS_P/v/}" \
+		"${S}/jedi/third_party/django-stubs" || die
+	mv "${WORKDIR}/${TYPESHED_P}" \
+		"${S}/jedi/third_party/typeshed" || die
+
+	# don't run doctests, don't depend on colorama
+	sed -i "s:'docopt',:: ; s:'colorama',::" setup.py || die
+	sed -i "s: --doctest-modules::" pytest.ini || die
+
+	# speed tests are fragile
+	rm test/test_speed.py || die
+
+	# test_complete_expanduser relies on $HOME not being empty
+	touch "${HOME}"/somefile || die
+
+	# TODO: investigate
+	sed -e 's:test_local_import:_&:' \
+		-i test/test_utils.py || die
+	sed -e '/with sqlite3\.connect/,+2d' \
+		-i test/completion/stdlib.py || die
+	rm test/completion/django.py || die
+
+	# tests relying on pristine virtualenv
+	# this relies on test* not matching anything else
+	sed -e "/#\? \['test'\]/,+1d" \
+		-i test/completion/on_import.py || die
+	# this one's broken by 'path' module (dev-python/path-py)
+	sed -e 's:test_os_issues:_&:' \
+		-i test/test_inference/test_imports.py || die
+	sed -e 's:test_venv_and_pths:_&:' \
+		-i test/test_inference/test_sys_path.py || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2020-07-19 18:14 UTC|newest]

Thread overview: 71+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-19 18:14 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-08  9:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/jedi/ Sam James
2023-11-16 16:44 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:10 Arthur Zamarin
2023-10-02 18:35 Arthur Zamarin
2023-08-31  5:13 Michał Górny
2023-08-31  4:21 Sam James
2023-07-30 17:51 Michał Górny
2023-01-07 18:36 Arthur Zamarin
2022-11-22  6:27 Arthur Zamarin
2022-11-06  7:59 Michał Górny
2022-11-06  7:24 Sam James
2022-05-27 19:45 Michał Górny
2022-05-27  9:07 Jakov Smolić
2022-04-25 12:11 Michał Górny
2022-04-25 12:11 Michał Górny
2022-04-25 12:11 Michał Górny
2021-09-05  1:18 Sam James
2021-09-05  1:18 Sam James
2021-08-26  3:00 Sam James
2021-08-24 23:21 Sam James
2021-08-24 18:58 Arthur Zamarin
2021-08-20 23:51 Sam James
2021-08-20  6:00 Agostino Sarubbo
2021-08-20  5:59 Agostino Sarubbo
2021-08-15 19:51 Sam James
2021-08-15  7:42 Michał Górny
2021-08-04 10:23 Sergei Trofimovich
2021-07-25 15:26 Sergei Trofimovich
2021-07-25  3:16 Matt Turner
2021-07-25  3:16 Matt Turner
2021-07-01 14:42 Michał Górny
2021-07-01  8:43 Michał Górny
2021-06-30 12:21 Michał Górny
2021-06-20  1:55 Sam James
2021-01-27  9:00 Michał Górny
2021-01-27  3:06 Sam James
2020-12-25 18:49 Michał Górny
2020-08-20 11:39 Michał Górny
2020-08-19  9:01 Sam James
2020-08-02  8:26 Michał Górny
2020-07-17  4:18 Matt Turner
2020-07-09 10:39 Michał Górny
2020-06-20  7:47 Michał Górny
2020-06-03 17:27 Michał Górny
2020-06-02 12:01 Michał Górny
2020-05-04 11:13 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:25 Joonas Niilola
2020-01-29  6:14 Joonas Niilola
2019-12-02 21:13 Aaron Bauman
2018-08-30 17:25 Michał Górny
2018-08-30 17:25 Michał Górny
2018-05-10 21:40 Patrice Clement
2018-04-22  1:35 Thomas Deutschmann
2018-03-21 20:24 Markus Meier
2018-03-12  0:51 Matt Turner
2018-03-04 22:40 Sergei Trofimovich
2017-09-01 10:28 Tim Harder
2017-09-01 10:28 Tim Harder
2017-06-23  7:04 Alexis Ballier
2017-05-03  9:26 Michał Górny
2017-04-26  8:20 Tim Harder
2017-02-16 20:47 Tim Harder
2016-05-22 15:59 Patrice Clement
2016-05-22 15:59 Patrice Clement
2016-01-25 15:11 Justin Lecher
2015-11-03 17:21 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1595182466.3beddae1fd3103091f81704f7254590047f95d25.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox